Return if the image has a matte channel

- « Imagick::getImageLength

- Imagick::getImageMatteColor »

- PHP Manual
- Imagick
- Return if the image has a matte channel

# Imagick::getImageMatte

(PECL imagick 2, PECL imagick 3)

Imagick::getImageMatte — Return if the image has a matte channel

Warning

This function has been DEPRECATED as of Imagick 3.4.4. Relying on this function is highly discouraged.

### Description

public Imagick::getImageMatte(): bool

Returns `true` if the image has a matte channel otherwise false. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success.